Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::ServerProtocolPolicy_var Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::ServerProtocolPolicy_var:

[legend]
Collaboration diagram for RTCORBA::ServerProtocolPolicy_var:

[legend]
List of all members.

## Public Methods
| ServerProtocolPolicy_var (void)
| ServerProtocolPolicy_var (ServerProtocolPolicy_ptr p)
| ServerProtocolPolicy_var (const ServerProtocolPolicy_var &)
| ~ServerProtocolPolicy_var (void)
ServerProtocolPolicy_var & | operator= (ServerProtocolPolicy_ptr)
ServerProtocolPolicy_var & | operator= (const ServerProtocolPolicy_var &)
ServerProtocolPolicy_ptr | operator-> (void) const
| operator const ServerProtocolPolicy_ptr & () const
| operator ServerProtocolPolicy_ptr & ()
ServerProtocolPolicy_ptr | in (void) const
ServerProtocolPolicy_ptr & | inout (void)
ServerProtocolPolicy_ptr & | out (void)
ServerProtocolPolicy_ptr | _retn (void)
ServerProtocolPolicy_ptr | ptr (void) const
## Static Public Methods
ServerProtocolPolicy_ptr | tao_duplicate (ServerProtocolPolicy_ptr)
void | tao_release (ServerProtocolPolicy_ptr)
ServerProtocolPolicy_ptr | tao_nil (void)
ServerProtocolPolicy_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| ServerProtocolPolicy_var (const TAO_Base_var &rhs)
ServerProtocolPolicy_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
ServerProtocolPolicy_ptr | ptr_

## Constructor & Destructor Documentation

RTCORBA::ServerProtocolPolicy_var::ServerProtocolPolicy_var | ( | void |  | ) |

RTCORBA::ServerProtocolPolicy_var::ServerProtocolPolicy_var | ( | ServerProtocolPolicy_ptr | p | ) | `[inline]`

RTCORBA::ServerProtocolPolicy_var::ServerProtocolPolicy_var | ( | const ServerProtocolPolicy_var & |  | ) |

RTCORBA::ServerProtocolPolicy_var::~ServerProtocolPolicy_var | ( | void |  | ) |

RTCORBA::ServerProtocolPolicy_var::ServerProtocolPolicy_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

ServerProtocolPolicy_ptr RTCORBA::ServerProtocolPolicy_var::_retn | ( | void |  | ) |

ServerProtocolPolicy_ptr RTCORBA::ServerProtocolPolicy_var::in | ( | void |  | ) | const

ServerProtocolPolicy_ptr& RTCORBA::ServerProtocolPolicy_var::inout | ( | void |  | ) |

RTCORBA::ServerProtocolPolicy_var::operator const ServerProtocolPolicy_ptr & | ( |  | ) | const

RTCORBA::ServerProtocolPolicy_var::operator ServerProtocolPolicy_ptr & | ( |  | ) |

ServerProtocolPolicy_ptr RTCORBA::ServerProtocolPolicy_var::operator-> | ( | void |  | ) | const

ServerProtocolPolicy_var& RTCORBA::ServerProtocolPolicy_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

ServerProtocolPolicy_var& RTCORBA::ServerProtocolPolicy_var::operator= | ( | const ServerProtocolPolicy_var & |  | ) |

RTCORBA::ServerProtocolPolicy_var & RTCORBA::ServerProtocolPolicy_var::operator= | ( | ServerProtocolPolicy_ptr | p | ) |

ServerProtocolPolicy_ptr& RTCORBA::ServerProtocolPolicy_var::out | ( | void |  | ) |

RTCORBA::ServerProtocolPolicy_ptr RTCORBA::ServerProtocolPolicy_var::ptr | ( | void |  | ) | const

ServerProtocolPolicy_ptr RTCORBA::ServerProtocolPolicy_var::tao_duplicate | ( | ServerProtocolPolicy_ptr |  | ) | `[static]`

ServerProtocolPolicy_ptr RTCORBA::ServerProtocolPolicy_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

ServerProtocolPolicy_ptr RTCORBA::ServerProtocolPolicy_var::tao_nil | ( | void |  | ) | `[static]`

void RTCORBA::ServerProtocolPolicy_var::tao_release | ( | ServerProtocolPolicy_ptr |  | ) | `[static]`

CORBA::Object* RTCORBA::ServerProtocolPolicy_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

ServerProtocolPolicy_ptr RTCORBA::ServerProtocolPolicy_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp